import {BrowserModule} from '@angular/platform-browser';
import {NgModule} from '@angular/core';
import {HttpClientModule} from '@angular/common/http';

import {AppComponent} from './app.component';
import * as Components from './components';
import * as Services from './services';
import * as Pipes from './pipes';

@NgModule({
  declarations: [
    AppComponent,
    Components.CardComponent,
    Pipes.CapitalizePipe,
    Pipes.OrderByFullNamePipe
  ],
  imports: [
    BrowserModule,
    HttpClientModule
  ],
  providers: [Services.DataService],
  bootstrap: [AppComponent]
})
export class AppModule { }
